tags 495703 + patch pending
thanks

Hi,

The following is the diff for my ghostscript 8.62.dfsg.1-3.1 NMU.

Kind regards

T.

diff -u ghostscript-8.62.dfsg.1/debian/changelog 
ghostscript-8.62.dfsg.1/debian/changelog
--- ghostscript-8.62.dfsg.1/debian/changelog
+++ ghostscript-8.62.dfsg.1/debian/changelog
@@ -1,3 +1,13 @@
+ghostscript (8.62.dfsg.1-3.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add (empty) gs-common.prerm to enable upgrades
+    etch->lenny to succeed when the old gs-common.prerm
+    fails. Closes: #495703.
+    Thanks to Niko Tyni for the bug report and analysis.
+
+ -- Thomas Viehmann <[EMAIL PROTECTED]>  Sun, 31 Aug 2008 22:26:34 +0200
+
 ghostscript (8.62.dfsg.1-3) unstable; urgency=low
 
   * Acknowledged NMU, thanks madcoder - closes: #453903
only in patch2:
unchanged:
--- ghostscript-8.62.dfsg.1.orig/debian/gs-common.prerm
+++ ghostscript-8.62.dfsg.1/debian/gs-common.prerm
@@ -0,0 +1,43 @@
+#! /bin/sh
+# prerm script for ghostscript
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+       ;;
+    upgrade)
+        ;;
+    deconfigure)
+        ;;
+    failed-upgrade)
+        ### This script does nothing, but it's presence
+       ### is needed for etch->lenny upgrades
+       ### see bug #495703
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0



-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to